<?php

namespace App\Entity;

use App\Repository\ConfigurationRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: ConfigurationRepository::class)]
class Configuration
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $ownerMail = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getOwnerMail(): ?string
    {
        return $this->ownerMail;
    }

    public function setOwnerMail(?string $ownerMail): static
    {
        $this->ownerMail = $ownerMail;

        return $this;
    }
}
